ia64/xen-unstable

view tools/xend/setup.py @ 1372:5a6113c65ead

bitkeeper revision 1.891.1.12 (40a248b0WTGoOa9206iWkyGN0mTPNw)

Allow forcing of IRQ trigger-type to edge or level
(NB. DANGEROUS!).
author kaf24@scramble.cl.cam.ac.uk
date Wed May 12 15:54:24 2004 +0000 (2004-05-12)
parents b4a9837c89b1
children f3123052268f
line source
2 from distutils.core import setup, Extension
4 utils = Extension("utils",
5 extra_compile_args = ["-fno-strict-aliasing"],
6 include_dirs = ["../xc/lib",
7 "../../xen/include/hypervisor-ifs",
8 "../../xenolinux-sparse/include"],
9 library_dirs = ["../xc/lib"],
10 libraries = ["xc"],
11 sources = ["lib/utils.c"])
13 setup(name = "xend",
14 version = "1.0",
15 packages = ["xend"],
16 package_dir = { "xend" : "lib" },
17 ext_package = "xend",
18 ext_modules = [ utils ]
19 )